Next: MAXLOC, Previous: MAX, Up: Intrinsic Procedures [Contents][Index]

### 9.190 `MAXEXPONENT` — Maximum exponent of a real kind

Description:

  `MAXEXPONENT(X)` returns the maximum exponent in the model of the type of `X`.

Standard:

  Fortran 90 and later

Class:

  Inquiry function

Syntax:

  `RESULT = MAXEXPONENT(X)`

Arguments:

  X | Shall be of type `REAL`.

Return value:

  The return value is of type `INTEGER` and of the default integer kind.

Example:

      program exponents
        real(kind=4) :: x
        real(kind=8) :: y

        print *, minexponent(x), maxexponent(x)
        print *, minexponent(y), maxexponent(y)
      end program exponents